Viewing docs for Vultr v2.27.1
published on Tuesday, Sep 30, 2025 by dirien
published on Tuesday, Sep 30, 2025 by dirien
Viewing docs for Vultr v2.27.1
published on Tuesday, Sep 30, 2025 by dirien
published on Tuesday, Sep 30, 2025 by dirien
Get information about a Vultr bare metal server.
Example Usage
Get the information for a server by label:
import * as pulumi from "@pulumi/pulumi";
import * as vultr from "@ediri/vultr";
const myServer = vultr.getBareMetalServer({
filters: [{
name: "label",
values: ["my-server-label"],
}],
});
import pulumi
import pulumi_vultr as vultr
my_server = vultr.get_bare_metal_server(filters=[{
"name": "label",
"values": ["my-server-label"],
}])
package main
import (
"github.com/dirien/pulumi-vultr/sdk/v2/go/vultr"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := vultr.LookupBareMetalServer(ctx, &vultr.LookupBareMetalServerArgs{
Filters: []vultr.GetBareMetalServerFilter{
{
Name: "label",
Values: []string{
"my-server-label",
},
},
},
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Vultr = Pulumi.Vultr;
return await Deployment.RunAsync(() =>
{
var myServer = Vultr.GetBareMetalServer.Invoke(new()
{
Filters = new[]
{
new Vultr.Inputs.GetBareMetalServerFilterInputArgs
{
Name = "label",
Values = new[]
{
"my-server-label",
},
},
},
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.vultr.VultrFunctions;
import com.pulumi.vultr.inputs.GetBareMetalServerArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var myServer = VultrFunctions.getBareMetalServer(GetBareMetalServerArgs.builder()
.filters(GetBareMetalServerFilterArgs.builder()
.name("label")
.values("my-server-label")
.build())
.build());
}
}
variables:
myServer:
fn::invoke:
function: vultr:getBareMetalServer
arguments:
filters:
- name: label
values:
- my-server-label
Using getBareMetalServer
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getBareMetalServer(args: GetBareMetalServerArgs, opts?: InvokeOptions): Promise<GetBareMetalServerResult>
function getBareMetalServerOutput(args: GetBareMetalServerOutputArgs, opts?: InvokeOptions): Output<GetBareMetalServerResult>def get_bare_metal_server(filters: Optional[Sequence[GetBareMetalServerFilter]] = None,
opts: Optional[InvokeOptions] = None) -> GetBareMetalServerResult
def get_bare_metal_server_output(filters: Optional[pulumi.Input[Sequence[pulumi.Input[GetBareMetalServerFilterArgs]]]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetBareMetalServerResult]func LookupBareMetalServer(ctx *Context, args *LookupBareMetalServerArgs, opts ...InvokeOption) (*LookupBareMetalServerResult, error)
func LookupBareMetalServerOutput(ctx *Context, args *LookupBareMetalServerOutputArgs, opts ...InvokeOption) LookupBareMetalServerResultOutput> Note: This function is named LookupBareMetalServer in the Go SDK.
public static class GetBareMetalServer
{
public static Task<GetBareMetalServerResult> InvokeAsync(GetBareMetalServerArgs args, InvokeOptions? opts = null)
public static Output<GetBareMetalServerResult> Invoke(GetBareMetalServerInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetBareMetalServerResult> getBareMetalServer(GetBareMetalServerArgs args, InvokeOptions options)
public static Output<GetBareMetalServerResult> getBareMetalServer(GetBareMetalServerArgs args, InvokeOptions options)
fn::invoke:
function: vultr:index/getBareMetalServer:getBareMetalServer
arguments:
# arguments dictionaryThe following arguments are supported:
- Filters
List<ediri.
Vultr. Inputs. Get Bare Metal Server Filter> - Query parameters for finding servers.
- Filters
[]Get
Bare Metal Server Filter - Query parameters for finding servers.
- filters
List<Get
Bare Metal Server Filter> - Query parameters for finding servers.
- filters
Get
Bare Metal Server Filter[] - Query parameters for finding servers.
- filters
Sequence[Get
Bare Metal Server Filter] - Query parameters for finding servers.
- filters List<Property Map>
- Query parameters for finding servers.
getBareMetalServer Result
The following output properties are available:
- App
Id int - The server's application ID.
- Cpu
Count int - The number of CPUs available on the server.
- Date
Created string - The date the server was added to your Vultr account.
- Disk string
- The description of the disk(s) on the server.
- Features List<string>
- Gateway
V4 string - The server's IPv4 gateway.
- Id string
- The provider-assigned unique ID for this managed resource.
- Image
Id string - The Marketplace ID for this application.
- Label string
- The server's label.
- Mac
Address int - Main
Ip string - The server's main IP address.
- Netmask
V4 string - The server's IPv4 netmask.
- Os string
- The operating system of the server.
- Os
Id int - The server's operating system ID.
- Plan string
- The server's plan ID.
- Ram string
- The amount of memory available on the server in MB.
- Region string
- The region ID of the server.
- Status string
- The status of the server's subscription.
- List<string>
- A list of tags applied to the server.
- User
Scheme string - The scheme used for the default user (linux servers only).
- V6Main
Ip string - V6Network string
- V6Network
Size int - Vpc2Ids List<string>
- (Deprecated) A list of VPC 2.0 IDs attached to the server.
- Vpc
Id string - The ID of the VPC which is attached to the bare metal server.
- Filters
List<ediri.
Vultr. Outputs. Get Bare Metal Server Filter>
- App
Id int - The server's application ID.
- Cpu
Count int - The number of CPUs available on the server.
- Date
Created string - The date the server was added to your Vultr account.
- Disk string
- The description of the disk(s) on the server.
- Features []string
- Gateway
V4 string - The server's IPv4 gateway.
- Id string
- The provider-assigned unique ID for this managed resource.
- Image
Id string - The Marketplace ID for this application.
- Label string
- The server's label.
- Mac
Address int - Main
Ip string - The server's main IP address.
- Netmask
V4 string - The server's IPv4 netmask.
- Os string
- The operating system of the server.
- Os
Id int - The server's operating system ID.
- Plan string
- The server's plan ID.
- Ram string
- The amount of memory available on the server in MB.
- Region string
- The region ID of the server.
- Status string
- The status of the server's subscription.
- []string
- A list of tags applied to the server.
- User
Scheme string - The scheme used for the default user (linux servers only).
- V6Main
Ip string - V6Network string
- V6Network
Size int - Vpc2Ids []string
- (Deprecated) A list of VPC 2.0 IDs attached to the server.
- Vpc
Id string - The ID of the VPC which is attached to the bare metal server.
- Filters
[]Get
Bare Metal Server Filter
- app
Id Integer - The server's application ID.
- cpu
Count Integer - The number of CPUs available on the server.
- date
Created String - The date the server was added to your Vultr account.
- disk String
- The description of the disk(s) on the server.
- features List<String>
- gateway
V4 String - The server's IPv4 gateway.
- id String
- The provider-assigned unique ID for this managed resource.
- image
Id String - The Marketplace ID for this application.
- label String
- The server's label.
- mac
Address Integer - main
Ip String - The server's main IP address.
- netmask
V4 String - The server's IPv4 netmask.
- os String
- The operating system of the server.
- os
Id Integer - The server's operating system ID.
- plan String
- The server's plan ID.
- ram String
- The amount of memory available on the server in MB.
- region String
- The region ID of the server.
- status String
- The status of the server's subscription.
- List<String>
- A list of tags applied to the server.
- user
Scheme String - The scheme used for the default user (linux servers only).
- v6Main
Ip String - v6Network String
- v6Network
Size Integer - vpc2Ids List<String>
- (Deprecated) A list of VPC 2.0 IDs attached to the server.
- vpc
Id String - The ID of the VPC which is attached to the bare metal server.
- filters
List<Get
Bare Metal Server Filter>
- app
Id number - The server's application ID.
- cpu
Count number - The number of CPUs available on the server.
- date
Created string - The date the server was added to your Vultr account.
- disk string
- The description of the disk(s) on the server.
- features string[]
- gateway
V4 string - The server's IPv4 gateway.
- id string
- The provider-assigned unique ID for this managed resource.
- image
Id string - The Marketplace ID for this application.
- label string
- The server's label.
- mac
Address number - main
Ip string - The server's main IP address.
- netmask
V4 string - The server's IPv4 netmask.
- os string
- The operating system of the server.
- os
Id number - The server's operating system ID.
- plan string
- The server's plan ID.
- ram string
- The amount of memory available on the server in MB.
- region string
- The region ID of the server.
- status string
- The status of the server's subscription.
- string[]
- A list of tags applied to the server.
- user
Scheme string - The scheme used for the default user (linux servers only).
- v6Main
Ip string - v6Network string
- v6Network
Size number - vpc2Ids string[]
- (Deprecated) A list of VPC 2.0 IDs attached to the server.
- vpc
Id string - The ID of the VPC which is attached to the bare metal server.
- filters
Get
Bare Metal Server Filter[]
- app_
id int - The server's application ID.
- cpu_
count int - The number of CPUs available on the server.
- date_
created str - The date the server was added to your Vultr account.
- disk str
- The description of the disk(s) on the server.
- features Sequence[str]
- gateway_
v4 str - The server's IPv4 gateway.
- id str
- The provider-assigned unique ID for this managed resource.
- image_
id str - The Marketplace ID for this application.
- label str
- The server's label.
- mac_
address int - main_
ip str - The server's main IP address.
- netmask_
v4 str - The server's IPv4 netmask.
- os str
- The operating system of the server.
- os_
id int - The server's operating system ID.
- plan str
- The server's plan ID.
- ram str
- The amount of memory available on the server in MB.
- region str
- The region ID of the server.
- status str
- The status of the server's subscription.
- Sequence[str]
- A list of tags applied to the server.
- user_
scheme str - The scheme used for the default user (linux servers only).
- v6_
main_ strip - v6_
network str - v6_
network_ intsize - vpc2_
ids Sequence[str] - (Deprecated) A list of VPC 2.0 IDs attached to the server.
- vpc_
id str - The ID of the VPC which is attached to the bare metal server.
- filters
Sequence[Get
Bare Metal Server Filter]
- app
Id Number - The server's application ID.
- cpu
Count Number - The number of CPUs available on the server.
- date
Created String - The date the server was added to your Vultr account.
- disk String
- The description of the disk(s) on the server.
- features List<String>
- gateway
V4 String - The server's IPv4 gateway.
- id String
- The provider-assigned unique ID for this managed resource.
- image
Id String - The Marketplace ID for this application.
- label String
- The server's label.
- mac
Address Number - main
Ip String - The server's main IP address.
- netmask
V4 String - The server's IPv4 netmask.
- os String
- The operating system of the server.
- os
Id Number - The server's operating system ID.
- plan String
- The server's plan ID.
- ram String
- The amount of memory available on the server in MB.
- region String
- The region ID of the server.
- status String
- The status of the server's subscription.
- List<String>
- A list of tags applied to the server.
- user
Scheme String - The scheme used for the default user (linux servers only).
- v6Main
Ip String - v6Network String
- v6Network
Size Number - vpc2Ids List<String>
- (Deprecated) A list of VPC 2.0 IDs attached to the server.
- vpc
Id String - The ID of the VPC which is attached to the bare metal server.
- filters List<Property Map>
Supporting Types
GetBareMetalServerFilter
Package Details
- Repository
- vultr dirien/pulumi-vultr
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
vultrTerraform Provider.
Viewing docs for Vultr v2.27.1
published on Tuesday, Sep 30, 2025 by dirien
published on Tuesday, Sep 30, 2025 by dirien
